Financial Statements
Retrieve the Balance Sheet Report
Scopes: report:read
GET
/
v0
/
business
/
{business_id}
/
reports
/
balance-sheet
Retrieve the Balance Sheet Report
curl --request GET \
--url https://api.sandbox.getasset.com/v0/business/{business_id}/reports/balance-sheet \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/business/{business_id}/reports/balance-sheet"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/business/{business_id}/reports/balance-sheet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"period": "<string>",
"records": [
{
"name": "<string>",
"amount": 123,
"total_amount": 123,
"has_entries": false,
"ledger_id": null,
"children": [
{
"amount": 21980.5,
"children": [],
"ledger_id": "ldg_WQMDNUHpBThYSNh4AprDBo",
"name": "Child Group",
"total_amount": 21980.5
}
]
}
]
}
]
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The content type of the response
Available options:
application/json, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet Path Parameters
The ID of the Business
Example:
"biz_GA6EG2qFxA97NZHtxeLPUy"
Query Parameters
Accrual or cash basis. Defaults to ReportBasis.MODIFIED_CASH.
Available options:
accrual, modified_cash The end date (inclusive) in ISO-8601 format.
Example:
"2026-01-01T00:00:00Z"
Response
Successful Response
Show child attributes
Show child attributes
⌘I
Retrieve the Balance Sheet Report
